%script para la comprobacin de getIndicesUniformes y PCMUniforme

%Caso 1
disp('Procesando caso 1****************************************');
senal       = leyendolite('sample_audio.mat');
vinf        =  -4;
vsup        =   4;
nNiveles    =   256;
v           = 4;
nbits       = 8;

 indicesCorrectos =  uint8(dlmread('indicesPCMCaso1.txt'));
 codificacionCorrecta =  uint8(dlmread('codificacionPCMCaso1.txt'));
 decodificacionCorrecta =  dlmread('reconstruccionPCMCaso1.txt');

ret = comprobaciongetIndicesUniformes(senal,vinf,vsup,nNiveles,indicesCorrectos);
if ~ret
    disp('Funcin getIndicesUniformes BIEN');
end

ret = comprobacionPCM(senal,v,nbits,codificacionCorrecta,decodificacionCorrecta);
if ~ret
    disp('Funciones PCMUniforme y decodificaPCM BIEN');
end

%Caso 2
disp('Procesando caso 2****************************************');
senal       = leyendolite('sample_audio.mat');
vinf        =  -2;
vsup        =   1;
nNiveles    =   128;
v           = 4;
nbits       = 8;

 indicesCorrectos = uint8(dlmread('indicesPCMCaso2.txt'));
 codificacionCorrecta = uint8(dlmread('codificacionPCMCaso2.txt'));
 decodificacionCorrecta = dlmread('reconstruccionPCMCaso2.txt');

ret = comprobaciongetIndicesUniformes(senal,vinf,vsup,nNiveles,indicesCorrectos);
if ~ret
    disp('Funcin getIndicesUniformes BIEN');
end

ret = comprobacionPCM(senal,v,nbits,codificacionCorrecta,decodificacionCorrecta);
if ~ret
    disp('Funciones PCMUniforme y decodificaPCM BIEN');
end






