function [ret] = comprobacionGets(senalNorm,indicesCorrectos,signosCorrectos,segmentosCorrectos, intervalosCorrectos)
 
    ret = 1;
    
    [indices] = getCuantificacionG711  (senalNorm);
    
    
%signos
[signos] = getSigno (senalNorm);
%segmentos 
[segmentos] = getSegmento (senalNorm);
%intervalos
[intervalos] = getIntervalo (senalNorm,segmentos);
%Compruebo la correcin de los resultados    
[flagSize,flagEquality] = comparaMatrices(signos,signosCorrectos);
    if flagSize
        mensaje = ['Dimensiones de los signos G711 incorrecta'];
        error(mensaje);
    end
    if flagEquality
        mensaje = ['Signos G711 incorrectos'];
        error(mensaje);
    end

[flagSize,flagEquality] = comparaMatrices(segmentos,segmentosCorrectos);
    if flagSize
        mensaje = ['Dimensiones de los segmentos G711 incorrecta'];
        error(mensaje);
    end
    if flagEquality
        mensaje = ['Segmentos G711 incorrectos'];
        error(mensaje);
    end

[flagSize,flagEquality] = comparaMatrices(intervalos,intervalosCorrectos);
    if flagSize
        mensaje = ['Dimensiones de los intervalos G711 incorrecta'];
        error(mensaje);
    end
    if flagEquality
        mensaje = ['Intervalos G711 incorrectos'];
        error(mensaje);
    end

[flagSize,flagEquality] = comparaMatrices(indices,indicesCorrectos);
    if flagSize
        mensaje = ['Dimensiones de los indices G711 incorrecta'];
        error(mensaje);
    end
    if flagEquality
        mensaje = ['Indices G711 incorrectos'];
        error(mensaje);
    end
 ret = 0;
end